@import '@angular/material/theming';
@include mat-core();
// Use this tool for generate the palette for each color http://mcg.mbitson.com/
// Compare your result with this tool https://material.io/resources/color/#!/?view.left=0&view.right=0&primary.color=071a52&secondary.color=17b978

$primary-palette: (
    50 : #e0f0fd,
    100 : #b3d9fb,
    200 : #80c0f8,
    300 : #4da7f5,
    400 : #2694f3,
    500 : #0081f1,
    600 : #0079ef,
    700 : #006eed,
    800 : #0064eb,
    900 : #0051e7,
    A100 : #ffffff,
    A200 : #dae5ff,
    A400 : #a7c1ff,
    A700 : #8eaeff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$accent-palette: (
    50 : #e0faef,
    100 : #b3f2d6,
    200 : #80eabb,
    300 : #4de2a0,
    400 : #26db8b,
    500 : #00d577,
    600 : #00d06f,
    700 : #00ca64,
    800 : #00c45a,
    900 : #00ba47,
    A100 : #e3ffec,
    A200 : #b0ffc9,
    A400 : #7dffa5,
    A700 : #63ff94,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$warn-palette: (
    50 : #e0e7ea,
    100 : #b3c3ca,
    200 : #809ba7,
    300 : #4d7283,
    400 : #265469,
    500 : #00364e,
    600 : #003047,
    700 : #00293d,
    800 : #002235,
    900 : #001625,
    A100 : #60acff,
    A200 : #2d91ff,
    A400 : #0077f9,
    A700 : #006be0,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);


$app-theme: mat-light-theme($primary-palette, $accent-palette, $warn-palette);
@include angular-material-theme($app-theme);
